Index: code/branches/FICN/src/orxonox/objects/Model.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Model.cc	(revision 627)
+++ code/branches/FICN/src/orxonox/objects/Model.cc	(revision 630)
@@ -15,4 +15,5 @@
     {
         RegisterObject(Model);
+        registerAllVariables();
     }
 
@@ -27,10 +28,18 @@
         if (xmlElem->Attribute("mesh"))
         {
-            std::string src = xmlElem->Attribute("mesh");
-            this->mesh_.setMesh(src);
-            this->attachObject(this->mesh_.getEntity());
+            meshSrc_ = xmlElem->Attribute("mesh");
         }
+    }
+    
+    bool Model::create(){
+      this->mesh_.setMesh(meshSrc_);
+      this->attachObject(this->mesh_.getEntity());
 
-        COUT(4) << "Loader: Created model" << std::endl;
+      COUT(4) << "Loader: Created model" << std::endl;
+      return true;
+    }
+    
+    void Model::registerAllVariables(){
+      registerVar(&meshSrc_, meshSrc_.length()+1, network::STRING);
     }
 }
Index: code/branches/FICN/src/orxonox/objects/Model.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Model.h	(revision 627)
+++ code/branches/FICN/src/orxonox/objects/Model.h	(revision 630)
@@ -14,7 +14,10 @@
             ~Model();
             virtual void loadParams(TiXmlElement* xmlElem);
+            bool create();
 
         private:
+            std::string meshSrc_;
             Mesh mesh_;
+            void registerAllVariables();
     };
 }
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 627)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 630)
@@ -46,4 +46,5 @@
         RegisterObject(WorldEntity);
 
+        registerAllVariables();
         if (Orxonox::getSingleton()->getSceneManager())
         {
@@ -151,9 +152,33 @@
         }
 
+        create();
+        
     }
 
+    bool WorldEntity::create(){
+      return true;
+    }
+    
     void WorldEntity::registerAllVariables()
     {
-      // to be implemented !
+      // register coordinates
+      registerVar( (void*) &(this->getPosition().x), sizeof(this->getPosition().x), network::DATA);
+      registerVar( (void*) &(this->getPosition().y), sizeof(this->getPosition().y), network::DATA);
+      registerVar( (void*) &(this->getPosition().z), sizeof(this->getPosition().z), network::DATA);
+      // register orientation
+      registerVar( (void*) &(this->getOrientation().w), sizeof(this->getOrientation().w), network::DATA);
+      registerVar( (void*) &(this->getOrientation().x), sizeof(this->getOrientation().x), network::DATA);
+      registerVar( (void*) &(this->getOrientation().y), sizeof(this->getOrientation().y), network::DATA);
+      registerVar( (void*) &(this->getOrientation().z), sizeof(this->getOrientation().z), network::DATA);
+      // not needed at the moment, because we don't have prediction yet
+      /*// register velocity_
+      registerVar( (void*) &(this->getVelocity().x), sizeof(this->getVelocity().x), network::DATA);
+      registerVar( (void*) &(this->getVelocity().y), sizeof(this->getVelocity().y), network::DATA);
+      registerVar( (void*) &(this->getVelocity().z), sizeof(this->getVelocity().z), network::DATA);
+      // register rotationAxis/rate
+      registerVar( (void*) &(this->getRotationRate()), sizeof(this->getRotationRate()), network::DATA);
+      registerVar( (void*) &(this->getRotationAxis().x), sizeof(this->getRotationAxis().x), network::DATA);
+      registerVar( (void*) &(this->getRotationAxis().y), sizeof(this->getRotationAxis().y), network::DATA);
+      registerVar( (void*) &(this->getRotationAxis().z), sizeof(this->getRotationAxis().z), network::DATA);*/
     }
 }
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 627)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 630)
@@ -21,5 +21,6 @@
       virtual void tick(float dt);
       virtual void loadParams(TiXmlElement* xmlElem);
-
+      bool create();
+      
       inline Ogre::SceneNode* getNode()
           { return this->node_; }