Index: code/branches/FICN/bin/levels/sample.oxw
===================================================================
--- code/branches/FICN/bin/levels/sample.oxw	(revision 657)
+++ code/branches/FICN/bin/levels/sample.oxw	(revision 658)
@@ -20,5 +20,5 @@
 			<ogg src="tha_silent_partner_-_void" />
 		</ambient>
-  </audio> 
+  </audio>
 
   <!-- Keep a minimum distance of >100 to the object, otherwise the camara thinks it's in the object -->
@@ -41,6 +41,6 @@
     <NPC position="100,0,400" scale="1" mesh="razor.mesh"/>
 
-<!--    <Model position="200,0,500" scale="10" mesh="starship.mesh" yaw="-90" pitch="-90" />
-    <Model position="-200,0,500" scale="10" mesh="drone.mesh" yaw="-90" pitch="-90" />-->
+    <Model position="200,0,500" scale="10" mesh="starship.mesh" yaw="-90" pitch="-90" />
+    <Model position="-200,0,500" scale="10" mesh="drone.mesh" yaw="-90" pitch="-90" />
 
     <Model position="-200,1000,500" scale="10" mesh="hoover_body.mesh" yaw="-90" pitch="-90" />
Index: code/branches/FICN/src/network/ClientConnection.h
===================================================================
--- code/branches/FICN/src/network/ClientConnection.h	(revision 657)
+++ code/branches/FICN/src/network/ClientConnection.h	(revision 658)
@@ -28,5 +28,5 @@
 #define NETWORK_PORT 55556
 #define NETWORK_CLIENT_MAX_CONNECTIONS 5
-#define NETWORK_CLIENT_TIMEOUT 10x
+#define NETWORK_CLIENT_TIMEOUT 10
 #define NETWORK_SEND_WAIT 5
 #define NETWORK_CLIENT_CHANNELS 2
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.cc
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 657)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 658)
@@ -24,4 +24,9 @@
  *      ...
  *
+ */
+
+/**
+ * @file ParticleInterface.cc
+ * @brief class to control praticle effects
  */
 
@@ -70,21 +75,4 @@
   }
 
-  void ParticleInterface::addToSceneNode( SceneNode* sceneNode )
-  {
-    sceneNode_ = sceneNode;
-    sceneNode_->attachObject(particleSystem_);
-  }
-
-  void ParticleInterface::detachFromSceneNode ( void )
-  {
-    sceneNode_->detachObject(particleSystem_);
-    sceneNode_ = NULL;
-  }
-
-  Real ParticleInterface::getVelocity()
-  {
-    return velocity_;
-  }
-
   void ParticleInterface::setVelocity(Real v)
   {
@@ -94,8 +82,4 @@
   }
 
-  int ParticleInterface::getRate()
-  {
-    return rate_;
-  }
   void ParticleInterface::setRate(int r)
   {
@@ -107,9 +91,4 @@
   }
 
-  Real ParticleInterface::getDistance()
-  {
-    return distance_;
-  }
-
   void ParticleInterface::setDistance(Real d)
   {
@@ -119,8 +98,4 @@
       particleSystem_->getEmitter(i)->setTimeToLive(distance_);
     }
-  }
-  ColourValue ParticleInterface::getColour()
-  {
-    return colour_;
   }
 
@@ -147,9 +122,5 @@
   }
 
-  void ParticleInterface::setPositionOfEmitter ( int emitterNr, Vector3 position )
-  {
-    particleSystem_->getEmitter(emitterNr)->setPosition(position);
-  }
-
+ // TODO check if this really works
   Vector3 ParticleInterface::getPositionOfEmitter ( int emitterNr )
   {
@@ -164,10 +135,4 @@
   }
 
-
-  Vector3 ParticleInterface::getDirection ( void )
-  {
-    return particleSystem_->getEmitter(0)->getDirection();
-  }
-
   void ParticleInterface::switchEnable(){
     bool enable=(!(particleSystem_->getEmitter(0)->getEnabled()));
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.h
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 657)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 658)
@@ -21,23 +21,32 @@
 	ParticleInterface( Ogre::SceneManager *sceneManager, Ogre::String name, Ogre::String templateName );
 	~ParticleInterface( void );
-	void addToSceneNode( Ogre::SceneNode* sceneNode );
-	void detachFromSceneNode( void );
+
+  void inline addToSceneNode( Ogre::SceneNode* sceneNode ) { sceneNode_ = sceneNode; sceneNode_->attachObject(particleSystem_);};
+  void inline detachFromSceneNode( void ) { sceneNode_->detachObject(particleSystem_); sceneNode_ = NULL;};
+
 	Ogre::ParticleEmitter* getEmitter ( int emitterNr );
 	void newEmitter ( void );
-	void setPositionOfEmitter ( int emitterNr, Ogre::Vector3 position );
-	Ogre::Vector3 getPositionOfEmitter ( int emitterNr );
+
+  Ogre::Vector3 getPositionOfEmitter ( int emitterNr );
+  inline void setPositionOfEmitter ( int emitterNr, Ogre::Vector3 position ) { particleSystem_->getEmitter(emitterNr)->setPosition(position); };
+
+  inline Ogre::Vector3 getDirection ( void ) { return particleSystem_->getEmitter(0)->getDirection(); };
 	void setDirection ( Ogre::Vector3 direction );
-	Ogre::Vector3 getDirection ( void );
-	Ogre::Real getVelocity();
+
+	inline Ogre::Real getVelocity() {return velocity_; };
 	void setVelocity( Ogre::Real v );
-	int getRate();
+
+	inline int getRate() { return rate_; };
 	void setRate( int r );
-	Ogre::Real getDistance();
+
+	inline Ogre::Real getDistance() { return distance_; };
 	void setDistance( Ogre::Real d );
-	Ogre::ColourValue getColour( void );
+
+	inline Ogre::ColourValue getColour( void ) {return colour_;};
 	void setColour( Ogre::ColourValue colour );
+
 	void switchEnable( void );
 
-  Ogre::ParticleSystem* getParticleSystem() {return this->particleSystem_; };
+  inline Ogre::ParticleSystem* getParticleSystem() {return this->particleSystem_; };
 
  private: