Index: code/branches/FICN/src/audio/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/audio/CMakeLists.txt	(revision 658)
+++ code/branches/FICN/src/audio/CMakeLists.txt	(revision 659)
@@ -12,5 +12,5 @@
 INCLUDE_DIRECTORIES(..)
 
-ADD_LIBRARY(audio ${SRC_FILES})
+ADD_LIBRARY(audio SHARED ${SRC_FILES})
 
 TARGET_LINK_LIBRARIES(audio ${OPENAL_LIBRARY} ${ALUT_LIBRARY} ${VORBISFILE_LIBRARY} ${VORBISENC_LIBRARY} ${VORBIS_LIBRARY} ${OGG_LIBRARY})
Index: code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.cc	(revision 658)
+++ code/branches/FICN/src/loader/LevelLoader.cc	(revision 659)
@@ -26,7 +26,7 @@
  */
 
-#include <string>
-#include <vector>
-#include <iostream>
+// #include <string>
+// #include <vector>
+// #include <iostream>
 #include <algorithm>
 #include <iterator>
@@ -35,5 +35,5 @@
 
 #include "LevelLoader.h"
-#include "tinyxml/tinyxml.h"
+// #include "tinyxml/tinyxml.h"
 #include "orxonox/core/CoreIncludes.h"
 #include "orxonox/core/Error.h"
@@ -152,4 +152,5 @@
 				{
 					tNode = 0;
+          //FIXME something is worng, probably ==
 					while( tNode = audioElem->IterateChildren( tNode ) )
 					{
@@ -199,6 +200,6 @@
 				 mLoadOverlay->hide();
 			}
-			
-			
+
+
 			COUT(0) << "Loading finished!\n\n\n\n\n";
 		}
@@ -211,19 +212,4 @@
 
 
-	string LevelLoader::name()
-	{
-		return this->name_;
-	}
-
-	string LevelLoader::description()
-	{
-		return this->description_;
-	}
-
-	string LevelLoader::image()
-	{
-		return this->image_;
-	}
-
 
 }
Index: code/branches/FICN/src/loader/LevelLoader.h
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.h	(revision 658)
+++ code/branches/FICN/src/loader/LevelLoader.h	(revision 659)
@@ -2,5 +2,5 @@
 * Orxonox - www.orxonox.net
 * Level Loader class
-* 
+*
 * @author Nicolas Perrenoud <nicolape@ee.ethz.ch>
 */
@@ -22,40 +22,40 @@
 namespace loader
 {
-	class _LoaderExport LevelLoader
-	{
-	public:
-		// Constructors, loads the level file and some information data
-		LevelLoader(string file, string dir="levels");
-		// Destructor
-		~LevelLoader();
-		// Loads all level data
-		void loadLevel();
-	
-		// Getters
-		string name();
-		string description();
-		string image();		
-	private:
-		// Level information
-		std::string name_;
-		std::string description_;
-		std::string image_;
-		std::string loadingBackgroundColor_;
-		std::string loadingBackgroundImage_;
-		std::string loadingBarImage_;
-		std::string loadingBarTop_;
-		std::string loadingBarLeft_;
-		std::string loadingBarWidth_;
-		std::string loadingBarHeight_;
-		
-		// Set to true if it was possible to load the level file
-		bool valid_;
-			
-		// Xml-Stuff
-		TiXmlDocument doc;
-		TiXmlElement* rootElement;	
+  class _LoaderExport LevelLoader
+  {
+  public:
+    // Constructors, loads the level file and some information data
+    LevelLoader(string file, string dir="levels");
+    // Destructor
+    ~LevelLoader();
+    // Loads all level data
+    void loadLevel();
 
-			
-	};	
+    // Getters
+    inline string name() {return name_; };
+    inline string description() {return description_; };
+    inline string image() {return image_; };
+  private:
+    // Level information
+    std::string name_;
+    std::string description_;
+    std::string image_;
+    std::string loadingBackgroundColor_;
+    std::string loadingBackgroundImage_;
+    std::string loadingBarImage_;
+    std::string loadingBarTop_;
+    std::string loadingBarLeft_;
+    std::string loadingBarWidth_;
+    std::string loadingBarHeight_;
+
+    // Set to true if it was possible to load the level file
+    bool valid_;
+
+    // Xml-Stuff
+    TiXmlDocument doc;
+    TiXmlElement* rootElement;
+
+
+  };
 }
 #endif
Index: code/branches/FICN/src/misc/String2Number.h
===================================================================
--- code/branches/FICN/src/misc/String2Number.h	(revision 658)
+++ code/branches/FICN/src/misc/String2Number.h	(revision 659)
@@ -9,40 +9,42 @@
 
 /**
-* String to number conversion
-*
-* This class converts a number inside a std::string
-* into a numeric type number (int,float,double)
-* Number in string can be decimal, hexadecimal or octal
-*
-* @author Nicolas Perrenoud<nicolape@ee.ethz.ch>
-*
-* @example
-* float f;
-* String2Number<float>(f, std::string(" 123.45 "));
-*/
+ * String to number conversion
+ *
+ * This class converts a number inside a std::string
+ * into a numeric type number (int,float,double)
+ * Number in string can be decimal, hexadecimal or octal
+ *
+ * @author Nicolas Perrenoud<nicolape@ee.ethz.ch>
+ *
+ * @example
+ * float f;
+ * String2Number<float>(f, std::string(" 123.45 "));
+ */
+
 template <class T>
 class String2Number
 {
-private:
-	bool success_;
-public:
-	/**
-	* Constructor
-	*
-	* First value is the target variable, the second vector is the
-	* string where the number is taken from, the third parameter
-	* should be one of std::hex, std::dec or std::oct (dec is default value)
-	*/
-	inline String2Number(T& t, const std::string& s, std::ios_base& (*f)(std::ios_base&) =  std::dec, int haltOnError=1)
-	{
-	  std::istringstream iss(s);
-	  success_ = !(iss >> f >> t).fail();
+  private:
+  bool success_;
 
-	  if (!success_ && haltOnError==1)
-	  {
-	  	COUT(1) << "Error: Conversion from string to number in \"" << s << "\" failed." << std::endl;
-	  	exit(1);
-	  }
-	}
+  public:
+  /**
+   * Constructor
+   *
+   * First value is the target variable, the second vector is the
+   * string where the number is taken from, the third parameter
+   * should be one of std::hex, std::dec or std::oct (dec is default value)
+   */
+  inline String2Number(T& t, const std::string& s, std::ios_base& (*f)(std::ios_base&) =  std::dec, int haltOnError=1)
+  {
+    std::istringstream iss(s);
+    success_ = !(iss >> f >> t).fail();
+
+    if (!success_ && haltOnError==1)
+    {
+      COUT(1) << "Error: Conversion from string to number in \"" << s << "\" failed." << std::endl;
+      exit(1);
+    }
+  }
 };
 
Index: code/branches/FICN/src/misc/Tokenizer.h
===================================================================
--- code/branches/FICN/src/misc/Tokenizer.h	(revision 658)
+++ code/branches/FICN/src/misc/Tokenizer.h	(revision 659)
@@ -6,12 +6,12 @@
 
 /**
-* String tokenizer
-*
-* Splits a given string into several smaller strings
-* using a delmiter (default is the comma).
-* Returns the result as a vector<string> object
-*
-* @author Nicolas Perrenoud<nicolape@ee.ethz.ch>
-*/
+ * String tokenizer
+ *
+ * Splits a given string into several smaller strings
+ * using a delmiter (default is the comma).
+ * Returns the result as a vector<string> object
+ *
+ * @author Nicolas Perrenoud<nicolape@ee.ethz.ch>
+ */
 
 inline std::vector<std::string> tokenize(const std::string& str, const std::string& delimiters = ",")
Index: code/branches/FICN/src/network/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/network/CMakeLists.txt	(revision 658)
+++ code/branches/FICN/src/network/CMakeLists.txt	(revision 659)
@@ -42,4 +42,5 @@
 TARGET_LINK_LIBRARIES(network ${ZLIB_LIBRARY} ${ENet_LIBRARY} ${Boost_thread_LIBRARIES})
 
+# chatserver for testing purposes
 ADD_EXECUTABLE(chatserver ${CHATSERVER_SRC_FILES})
 TARGET_LINK_LIBRARIES( chatserver
@@ -53,4 +54,5 @@
 )
 
+# chatclient for testing purpose
 ADD_EXECUTABLE(chatclient ${CHATCLIENT_SRC_FILES})
 TARGET_LINK_LIBRARIES( chatclient
@@ -64,4 +66,5 @@
 )
 
+# client for testing purpose
 ADD_EXECUTABLE(client dummyclient2.cc)
 TARGET_LINK_LIBRARIES( client
@@ -75,4 +78,5 @@
 )
 
+# server for testing purpose
 ADD_EXECUTABLE(server dummyserver.cc)
 TARGET_LINK_LIBRARIES( server
Index: code/branches/FICN/src/orxonox/hud/HUD.cc
===================================================================
--- code/branches/FICN/src/orxonox/hud/HUD.cc	(revision 658)
+++ code/branches/FICN/src/orxonox/hud/HUD.cc	(revision 659)
@@ -9,174 +9,181 @@
 
 namespace hud {
-	HUD::HUD( void ) {
+  HUD::HUD( void ) {
 
-		init();
+    init();
 
-		setTime(99,55);
+    setTime(99,55);
 
-		setTargetWindowName("HURRA");
-		setTargetWindowDistance(12);
-		setTargetWindowStatus("Dead");
-		setTargetWindowDistance(30);
+    setTargetWindowName("HURRA");
+    setTargetWindowDistance(12);
+    setTargetWindowStatus("Dead");
+    setTargetWindowDistance(30);
 
-		setEnergyValue(60.0);
+    setEnergyValue(60.0);
 
-		setShieldLeftTopValue(true);
-		setShieldRightTopValue(false);
-		setShieldLeftBottomValue(false);
-		setShieldRightBottomValue(true);
+    setShieldLeftTopValue(true);
+    setShieldRightTopValue(false);
+    setShieldLeftBottomValue(false);
+    setShieldRightBottomValue(true);
 
-		setRocket1(11);
-		setRocket2(22);
-		setRocket3(33);
-		setRocket4(44);
+    setRocket1(11);
+    setRocket2(22);
+    setRocket3(33);
+    setRocket4(44);
 
-		setEnergyDistr(33,33,34);
+    setEnergyDistr(33,33,34);
 
-		setPrimar(3);
+    setPrimar(3);
+
+    energyDistrPixelX_ = 100;
+    energyDistrPixelY_ = 86;
+
+  }
+
+
+  HUD::~HUD( void ){
+
+  }
+
+  void HUD::setTime(int i, int j){
+    timeMin_=i;
+    timeSec_=j;
+    timeText_->setCaption(StringConverter::toString(timeMin_) + ":" + StringConverter::toString(timeSec_));
+  }
+
+  void HUD::setTargetWindowName(String i){
+    targetWindowName_=i;
+    targetWindowNameText_->setCaption( targetWindowName_ );
+  }
+
+  void HUD::setTargetWindowStatus(String i){
+    targetWindowStatus_=i;
+    targetWindowStatusText_->setCaption( targetWindowStatus_ );
+  }
+
+  void HUD::setTargetWindowDistance(int i){
+    targetWindowDistance_=i;
+    targetWindowDistanceText_->setCaption(StringConverter::toString(targetWindowDistance_) + "km" );
+  }
+
+  void HUD::setTargetWindowHitRating(int i){
+    targetWindowHitRating_=i;
+    targetWindowHitRatingText_->setCaption(StringConverter::toString(targetWindowHitRating_) + "%" );
+  }
+
+  void HUD::setEnergyValue(int i){
+    energyValue_=i;
+    energyLength_->setWidth((int)((float)energyValue_/(float)100*200));
+  }
+
+  void HUD::setShieldLeftTopValue(bool i){
+    shieldLeftTopValue_=i;
+    if (shieldLeftTopValue_) shieldLeftTop_->show();
+    else shieldLeftTop_->hide();
+  }
+
+  void HUD::setShieldRightTopValue(bool i){
+    shieldRightTopValue_=i;
+    if (shieldRightTopValue_) shieldRightTop_->show();
+    else shieldRightTop_->hide();
+  }
+
+  void HUD::setShieldLeftBottomValue(bool i){
+    shieldLeftBottomValue_=i;
+    if (shieldLeftBottomValue_) shieldLeftBottom_->show();
+    else shieldLeftBottom_->hide();
+  }
+
+  void HUD::setShieldRightBottomValue(bool i){
+    shieldRightBottomValue_=i;
+    if (shieldRightBottomValue_) shieldRightBottom_->show();
+    else shieldRightBottom_->hide();
+  }
+
+  void HUD::setRocket1(int i){
+    rocket1_=i;
+    rocketNum1_->setCaption(StringConverter::toString(rocket1_));
+  }
+
+  void HUD::setRocket2(int i){
+    rocket2_=i;
+    rocketNum2_->setCaption(StringConverter::toString(rocket2_));
+  }
+
+  void HUD::setRocket3(int i){
+    rocket3_=i;
+    rocketNum3_->setCaption(StringConverter::toString(rocket3_));
+  }
+
+  void HUD::setRocket4(int i){
+    rocket4_=i;
+    rocketNum4_->setCaption(StringConverter::toString(rocket4_));
+  }
+
+  void HUD::setEnergyDistr(float s, float e, float l){
+    energyDistrShield_=s;
+    energyDistrEngine_=e;
+    energyDistrLaser_=l;
+
+    float energyDistrShieldInv_ = 100 - energyDistrShield_;
+    float energyDistrEngineInv_ = 100 - energyDistrEngine_;
+    float energyDistrLaserInv_ = 100 - energyDistrLaser_;
+
+    float energyDistrT_ = -energyDistrPixelX_/((energyDistrPixelX_-energyDistrPixelX_/2*energyDistrShieldInv_/(energyDistrShieldInv_+energyDistrEngineInv_))*energyDistrLaserInv_*(energyDistrShieldInv_+energyDistrEngineInv_)/energyDistrShieldInv_/(energyDistrLaserInv_+energyDistrEngineInv_)+energyDistrPixelX_/2+energyDistrPixelX_/2*energyDistrEngineInv_/(energyDistrEngineInv_+energyDistrLaserInv_));
+    float energyDistrX_ = (-energyDistrPixelX_/2-energyDistrPixelX_/2*energyDistrEngineInv_/(energyDistrEngineInv_+energyDistrLaserInv_))*energyDistrT_;
+    float energyDistrY_ = energyDistrPixelY_+energyDistrPixelY_*energyDistrLaserInv_/(energyDistrLaserInv_+energyDistrEngineInv_)*energyDistrT_;
+
+    energyDistrPoint_->setLeft((int)energyDistrX_-3);
+    energyDistrPoint_->setTop((int)energyDistrY_-3);
+
+  }
+
+  void HUD::setPrimar(int i){
+    primarValue_=i;
+    if(i==1){
+      primarChoice_->setLeft(2);
+      primarChoice_->setWidth(48);
+    }
+    if(i==2){
+      primarChoice_->setLeft(51);
+      primarChoice_->setWidth(49);
+    }
+    else{
+      primarChoice_->setLeft(101);
+      primarChoice_->setWidth(48);
+      }
+  }
 
 
 
-		energyDistrPixelX_ = 100;
-		energyDistrPixelY_ = 86;
+  void HUD::init(void)
+  {
+    timeText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/Time/Text");
 
-	}
+    targetWindowNameText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/Name");
+    targetWindowDistanceText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/DistanceText");
+    targetWindowStatusText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/StatusText");
+    targetWindowHitRatingText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/HitRatingText");
+
+    energyLength_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/EnergyBackground");
+
+    shieldLeftTop_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/shieldLeftTop");
+    shieldRightTop_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/shieldRightTop");
+    shieldLeftBottom_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/shieldLeftBottom");
+    shieldRightBottom_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/shieldRightBottom");
+
+    rocketNum1_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum1");
+    rocketNum2_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum2");
+    rocketNum3_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum3");
+    rocketNum4_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum4");
+
+    float energyDistrPixelX_ = 100;
+    float energyDistrPixelY_ = 86;
+    energyDistrPoint_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/EnergyDistrPoint");
+
+    primarChoice_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/PrimarChoice");
 
 
-	HUD::~HUD( void ){
-
-	}
-
-	void HUD::setTime(int i, int j){
-		timeMin_=i;
-		timeSec_=j;
-		timeText_->setCaption(StringConverter::toString(timeMin_) + ":" + StringConverter::toString(timeSec_));
-
-	}
-	void HUD::setTargetWindowName(String i){
-		targetWindowName_=i;
-		targetWindowNameText_->setCaption( targetWindowName_ );
-
-	}
-	void HUD::setTargetWindowStatus(String i){
-		targetWindowStatus_=i;
-		targetWindowStatusText_->setCaption( targetWindowStatus_ );
-
-	}
-	void HUD::setTargetWindowDistance(int i){
-		targetWindowDistance_=i;
-		targetWindowDistanceText_->setCaption(StringConverter::toString(targetWindowDistance_) + "km" );
-
-	}
-	void HUD::setTargetWindowHitRating(int i){
-		targetWindowHitRating_=i;
-		targetWindowHitRatingText_->setCaption(StringConverter::toString(targetWindowHitRating_) + "%" );
-
-	}
-	void HUD::setEnergyValue(int i){
-		energyValue_=i;
-		energyLength_->setWidth((int)((double)energyValue_/(double)100*200));
-	}
-	void HUD::setShieldLeftTopValue(bool i){
-		shieldLeftTopValue_=i;
-		if (shieldLeftTopValue_) shieldLeftTop_->show();
-		else shieldLeftTop_->hide();
-	}
-	void HUD::setShieldRightTopValue(bool i){
-		shieldRightTopValue_=i;
-		if (shieldRightTopValue_) shieldRightTop_->show();
-		else shieldRightTop_->hide();
-	}
-	void HUD::setShieldLeftBottomValue(bool i){
-		shieldLeftBottomValue_=i;
-		if (shieldLeftBottomValue_) shieldLeftBottom_->show();
-		else shieldLeftBottom_->hide();
-	}
-	void HUD::setShieldRightBottomValue(bool i){
-		shieldRightBottomValue_=i;
-		if (shieldRightBottomValue_) shieldRightBottom_->show();
-		else shieldRightBottom_->hide();
-	}
-	void HUD::setRocket1(int i){
-		rocket1_=i;
-		rocketNum1_->setCaption(StringConverter::toString(rocket1_));
-	}
-	void HUD::setRocket2(int i){
-		rocket2_=i;
-		rocketNum2_->setCaption(StringConverter::toString(rocket2_));
-	}
-	void HUD::setRocket3(int i){
-		rocket3_=i;
-		rocketNum3_->setCaption(StringConverter::toString(rocket3_));
-	}
-	void HUD::setRocket4(int i){
-		rocket4_=i;
-		rocketNum4_->setCaption(StringConverter::toString(rocket4_));
-	}
-	void HUD::setEnergyDistr(double s, double e, double l){
-		energyDistrShield_=s;
-		energyDistrEngine_=e;
-		energyDistrLaser_=l;
-
-		double energyDistrShieldInv_ = 100 - energyDistrShield_;
-		double energyDistrEngineInv_ = 100 - energyDistrEngine_;
-		double energyDistrLaserInv_ = 100 - energyDistrLaser_;
-
-		double energyDistrT_ = -energyDistrPixelX_/((energyDistrPixelX_-energyDistrPixelX_/2*energyDistrShieldInv_/(energyDistrShieldInv_+energyDistrEngineInv_))*energyDistrLaserInv_*(energyDistrShieldInv_+energyDistrEngineInv_)/energyDistrShieldInv_/(energyDistrLaserInv_+energyDistrEngineInv_)+energyDistrPixelX_/2+energyDistrPixelX_/2*energyDistrEngineInv_/(energyDistrEngineInv_+energyDistrLaserInv_));
-		double energyDistrX_ = (-energyDistrPixelX_/2-energyDistrPixelX_/2*energyDistrEngineInv_/(energyDistrEngineInv_+energyDistrLaserInv_))*energyDistrT_;
-		double energyDistrY_ = energyDistrPixelY_+energyDistrPixelY_*energyDistrLaserInv_/(energyDistrLaserInv_+energyDistrEngineInv_)*energyDistrT_;
-
-		energyDistrPoint_->setLeft((int)energyDistrX_-3);
-		energyDistrPoint_->setTop((int)energyDistrY_-3);
-
-	}
-
-	void HUD::setPrimar(int i){
-		primarValue_=i;
-		if(i==1){
-			primarChoice_->setLeft(2);
-			primarChoice_->setWidth(48);
-		}
-		if(i==2){
-			primarChoice_->setLeft(51);
-			primarChoice_->setWidth(49);
-		}
-		else{
-			primarChoice_->setLeft(101);
-			primarChoice_->setWidth(48);
-	    }
-	}
-
-
-
-	void HUD::init(void)
-	{
-		timeText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/Time/Text");
-
-		targetWindowNameText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/Name");
-		targetWindowDistanceText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/DistanceText");
-		targetWindowStatusText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/StatusText");
-		targetWindowHitRatingText_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/HitRatingText");
-
-		energyLength_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/EnergyBackground");
-
-		shieldLeftTop_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/shieldLeftTop");
-		shieldRightTop_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/shieldRightTop");
-		shieldLeftBottom_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/shieldLeftBottom");
-		shieldRightBottom_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/shieldRightBottom");
-
-		rocketNum1_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum1");
-		rocketNum2_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum2");
-		rocketNum3_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum3");
-		rocketNum4_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum4");
-
-		double energyDistrPixelX_ = 100;
-		double energyDistrPixelY_ = 86;
-		energyDistrPoint_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/EnergyDistrPoint");
-
-		primarChoice_ = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/PrimarChoice");
-
-
-	}
+  }
 
 
Index: code/branches/FICN/src/orxonox/hud/HUD.h
===================================================================
--- code/branches/FICN/src/orxonox/hud/HUD.h	(revision 658)
+++ code/branches/FICN/src/orxonox/hud/HUD.h	(revision 659)
@@ -19,89 +19,74 @@
   private:
 
-    Ogre::OverlayElement* timeText_;
-	Ogre::OverlayElement* targetWindowNameText_;
-	Ogre::OverlayElement* targetWindowStatusText_;
-	Ogre::OverlayElement* targetWindowDistanceText_;
-	Ogre::OverlayElement* targetWindowHitRatingText_;
-	Ogre::OverlayElement* energyLength_;
-	Ogre::OverlayElement* shieldLeftTop_;
-	Ogre::OverlayElement* shieldRightTop_;
-	Ogre::OverlayElement* shieldLeftBottom_;
-	Ogre::OverlayElement* shieldRightBottom_;
-	Ogre::OverlayElement* rocketNum1_;
-	Ogre::OverlayElement* rocketNum2_;
-	Ogre::OverlayElement* rocketNum3_;
-	Ogre::OverlayElement* rocketNum4_;
-	Ogre::OverlayElement* energyDistrPoint_;
-	Ogre::OverlayElement* primarChoice_;
+  Ogre::OverlayElement* timeText_;
+  Ogre::OverlayElement* targetWindowNameText_;
+  Ogre::OverlayElement* targetWindowStatusText_;
+  Ogre::OverlayElement* targetWindowDistanceText_;
+  Ogre::OverlayElement* targetWindowHitRatingText_;
+  Ogre::OverlayElement* energyLength_;
+  Ogre::OverlayElement* shieldLeftTop_;
+  Ogre::OverlayElement* shieldRightTop_;
+  Ogre::OverlayElement* shieldLeftBottom_;
+  Ogre::OverlayElement* shieldRightBottom_;
+  Ogre::OverlayElement* rocketNum1_;
+  Ogre::OverlayElement* rocketNum2_;
+  Ogre::OverlayElement* rocketNum3_;
+  Ogre::OverlayElement* rocketNum4_;
+  Ogre::OverlayElement* energyDistrPoint_;
+  Ogre::OverlayElement* primarChoice_;
 
+  int timeMin_;
+  int timeSec_;
 
+  Ogre::String targetWindowName_;
+  Ogre::String targetWindowStatus_;
+  int targetWindowDistance_;
+  int targetWindowHitRating_;
 
+  int energyValue_;
 
+  bool shieldLeftTopValue_;
+  bool shieldRightTopValue_;
+  bool shieldLeftBottomValue_;
+  bool shieldRightBottomValue_;
 
-	int timeMin_;
-	int timeSec_;
+  int rocket1_;
+  int rocket2_;
+  int rocket3_;
+  int rocket4_;
 
-	Ogre::String targetWindowName_;
-	Ogre::String targetWindowStatus_;
-	int targetWindowDistance_;
-	int targetWindowHitRating_;
+  float energyDistrShield_;
+  float energyDistrEngine_;
+  float energyDistrLaser_;
 
-	int energyValue_;
+  float energyDistrPixelX_;
+  float energyDistrPixelY_;
 
-	bool shieldLeftTopValue_;
-	bool shieldRightTopValue_;
-	bool shieldLeftBottomValue_;
-	bool shieldRightBottomValue_;
+  int primarValue_;
 
-	int rocket1_;
-	int rocket2_;
-	int rocket3_;
-	int rocket4_;
+  public:
+  HUD( void );
+  ~HUD( void );
+  void init( void );
 
-	double energyDistrShield_;
-	double energyDistrEngine_;
-	double energyDistrLaser_;
-
-	double energyDistrPixelX_;
-	double energyDistrPixelY_;
-
-	int primarValue_;
-
-
-
-
-
-
- public:
-	HUD( void );
-	~HUD( void );
-	void init( void );
-
-	void setTime(int i, int j);
-	void setTargetWindowName(Ogre::String i);
-	void setTargetWindowStatus(Ogre::String i);
-	void setTargetWindowDistance(int i);
-	void setTargetWindowHitRating(int i);
-	void setEnergyValue(int i);
-	void setShieldLeftTopValue(bool i);
-	void setShieldRightTopValue(bool i);
-	void setShieldLeftBottomValue(bool i);
-	void setShieldRightBottomValue(bool i);
-	void setRocket1(int i);
-	void setRocket2(int i);
-	void setRocket3(int i);
-	void setRocket4(int i);
-	void setEnergyDistr(double s, double e, double l);
-	void setPrimar(int i);
-
-
-
-
-
+  void setTime(int i, int j);
+  void setTargetWindowName(Ogre::String i);
+  void setTargetWindowStatus(Ogre::String i);
+  void setTargetWindowDistance(int i);
+  void setTargetWindowHitRating(int i);
+  void setEnergyValue(int i);
+  void setShieldLeftTopValue(bool i);
+  void setShieldRightTopValue(bool i);
+  void setShieldLeftBottomValue(bool i);
+  void setShieldRightBottomValue(bool i);
+  void setRocket1(int i);
+  void setRocket2(int i);
+  void setRocket3(int i);
+  void setRocket4(int i);
+  void setEnergyDistr(float s, float e, float l);
+  void setPrimar(int i);
 
 };
 
-
 }
 #endif
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.cc
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 658)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 659)
@@ -43,9 +43,4 @@
 namespace particle {
 
-  ParticleInterface::~ParticleInterface(void)
-  {
-    sceneManager_->destroyParticleSystem(particleSystem_);
-  }
-
   ParticleInterface::ParticleInterface( SceneManager *sceneManager, String name, String templateName )
   {
@@ -62,4 +57,9 @@
     numberOfEmitters_ = particleSystem_->getNumEmitters();
     standardizeEmitters();
+  }
+
+  ParticleInterface::~ParticleInterface(void)
+  {
+    sceneManager_->destroyParticleSystem(particleSystem_);
   }
 
@@ -95,5 +95,5 @@
     distance_ = d;
     //partikel anpassen
-    for (int i=0; i<numberOfEmitters_; i++) {
+    for (int i=0; i < numberOfEmitters_; i++) {
       particleSystem_->getEmitter(i)->setTimeToLive(distance_);
     }
@@ -104,5 +104,5 @@
     colour_ = colour;
     //partikel anpassen
-    for (int i=0; i<numberOfEmitters_; i++) {
+    for (int i=0; i < numberOfEmitters_; i++) {
       particleSystem_->getEmitter(i)->setColour(colour_);
     }
@@ -111,13 +111,13 @@
   ParticleEmitter* ParticleInterface::getEmitter( int emitterNr )
   {
-    if (!(emitterNr<numberOfEmitters_)) return NULL;
+    if ( (emitterNr >= numberOfEmitters_) || (emitterNr < 0) ) return NULL;
     return particleSystem_->getEmitter(emitterNr);
   }
 
-  void ParticleInterface::newEmitter ( void )
+  void ParticleInterface::newEmitter ()
   {
     particleSystem_->addEmitter(particleSystem_->getEmitter(0)->getType());
-    numberOfEmitters_=numberOfEmitters_+1;
-    particleSystem_->getEmitter(0)->copyParametersTo( particleSystem_->getEmitter(numberOfEmitters_-1) );
+    particleSystem_->getEmitter(0)->copyParametersTo( particleSystem_->getEmitter(numberOfEmitters_) );
+    numberOfEmitters_++;
   }
 
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.h
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 658)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 659)
@@ -19,12 +19,12 @@
  public:
 
-	ParticleInterface( Ogre::SceneManager *sceneManager, Ogre::String name, Ogre::String templateName );
-	~ParticleInterface( void );
+  ParticleInterface( Ogre::SceneManager *sceneManager, Ogre::String name, Ogre::String templateName );
+  ~ParticleInterface( void );
 
   void inline addToSceneNode( Ogre::SceneNode* sceneNode ) { sceneNode_ = sceneNode; sceneNode_->attachObject(particleSystem_);};
   void inline detachFromSceneNode( void ) { sceneNode_->detachObject(particleSystem_); sceneNode_ = NULL;};
 
-	Ogre::ParticleEmitter* getEmitter ( int emitterNr );
-	void newEmitter ( void );
+  Ogre::ParticleEmitter* getEmitter ( int emitterNr );
+  void newEmitter ( void );
 
   Ogre::Vector3 getPositionOfEmitter ( int emitterNr );
@@ -32,35 +32,34 @@
 
   inline Ogre::Vector3 getDirection ( void ) { return particleSystem_->getEmitter(0)->getDirection(); };
-	void setDirection ( Ogre::Vector3 direction );
+  void setDirection ( Ogre::Vector3 direction );
 
-	inline Ogre::Real getVelocity() {return velocity_; };
-	void setVelocity( Ogre::Real v );
+  inline Ogre::Real getVelocity() {return velocity_; };
+  void setVelocity( Ogre::Real v );
 
-	inline int getRate() { return rate_; };
-	void setRate( int r );
+  inline int getRate() { return rate_; };
+  void setRate( int r );
 
-	inline Ogre::Real getDistance() { return distance_; };
-	void setDistance( Ogre::Real d );
+  inline Ogre::Real getDistance() { return distance_; };
+  void setDistance( Ogre::Real d );
 
-	inline Ogre::ColourValue getColour( void ) {return colour_;};
-	void setColour( Ogre::ColourValue colour );
+  inline Ogre::ColourValue getColour( void ) {return colour_;};
+  void setColour( Ogre::ColourValue colour );
 
-	void switchEnable( void );
+  void switchEnable();
 
-  inline Ogre::ParticleSystem* getParticleSystem() {return this->particleSystem_; };
+  inline Ogre::ParticleSystem* getParticleSystem() { return this->particleSystem_; };
 
  private:
-	Ogre::SceneNode *sceneNode_;
-	Ogre::SceneManager *sceneManager_;
+  Ogre::SceneNode *sceneNode_;
+  Ogre::SceneManager *sceneManager_;
   Ogre::ParticleSystem *particleSystem_;
-	Ogre::Real distance_;
-	Ogre::Real velocity_;
-	int rate_;
-	Ogre::ColourValue colour_;
-	int numberOfEmitters_;
+  Ogre::Real distance_;
+  Ogre::Real velocity_;
+  int rate_;
+  Ogre::ColourValue colour_;
+  int numberOfEmitters_;
 
-	void standardizeEmitters();
+  void standardizeEmitters();
 };
-
 
 }