Index: code/branches/FICN/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 668)
+++ code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 669)
@@ -37,10 +37,10 @@
     objects/Light.cc
     objects/Projectile.cc
-    objects/weapon_system/ammunition_dump.cc
-    objects/weapon_system/barrel_gun.cc
-    objects/weapon_system/base_weapon.cc
-    objects/weapon_system/bullet.cc
-    objects/weapon_system/bullet_manager.cc
-    objects/weapon_system/weapon_station.cc
+    objects/weapon_system/AmmunitionDump.cc
+    objects/weapon_system/BarrelGun.cc
+    objects/weapon_system/BaseMeapon.cc
+    objects/weapon_system/Bullet.cc
+    objects/weapon_system/BulletManager.cc
+    objects/weapon_system/WeaponStation.cc
     objects/Explosion.cc
   )
Index: code/branches/FICN/src/orxonox/objects/weapon_system/Bullet.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/Bullet.cc	(revision 669)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/Bullet.cc	(revision 669)
@@ -0,0 +1,48 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "OgreSceneNode.h"
+#include "OgreEntity.h"
+#include "OgreVector3.h"
+
+#include "Bullet.h"
+
+
+namespace orxonox {
+  using namespace Ogre;
+
+  CreateFactory(Bullet);
+
+  Bullet::Bullet()
+  {
+    RegisterObject(Bullet);
+  }
+
+  Bullet::~Bullet()
+  {
+  }
+}
Index: code/branches/FICN/src/orxonox/objects/weapon_system/Bullet.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/Bullet.h	(revision 669)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/Bullet.h	(revision 669)
@@ -0,0 +1,51 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#ifndef BULLET_H
+#define BULLET_H
+
+#include <OgrePrerequisites.h>
+
+#include "orxonox/OrxonoxPrereqs.h"
+
+#include "../Model.h"
+
+namespace orxonox {
+  class Bullet : public Model
+  {
+  public:
+	  Bullet();
+	  ~Bullet();
+
+    virtual void tick(float dt) { }
+
+    inline virtual void loadParams(TiXmlElement* xmlElem) { Model::loadParams(xmlElem); };
+ };
+}
+
+#endif /* BULLET_H */