Index: code/branches/FICN/src/misc/String2Number.h
===================================================================
--- code/branches/FICN/src/misc/String2Number.h	(revision 675)
+++ code/branches/FICN/src/misc/String2Number.h	(revision 676)
@@ -1,4 +1,4 @@
-#ifndef __STRING2NUMBER_H__
-#define __STRING2NUMBER_H__
+#ifndef _String2Number_H__
+#define _String2Number_H__
 
 #include <string>
@@ -127,3 +127,3 @@
 }
 
-#endif
+#endif /* _String2Number_H__ */
Index: code/branches/FICN/src/misc/Tokenizer.h
===================================================================
--- code/branches/FICN/src/misc/Tokenizer.h	(revision 675)
+++ code/branches/FICN/src/misc/Tokenizer.h	(revision 676)
@@ -1,4 +1,4 @@
-#ifndef __TOKEINZER_H__
-#define __TOKEINZER_H__
+#ifndef _Tokenizer_H__
+#define _Tokenizer_H__
 
 #include <string>
@@ -37,3 +37,3 @@
 
 
-#endif
+#endif /* _Tokenizer_H__ */
Index: code/branches/FICN/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 675)
+++ code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 676)
@@ -29,4 +29,5 @@
     objects/Model.cc
     objects/Mesh.cc
+    objects/Light.cc
     objects/SpaceShip.cc
     objects/NPC.cc
Index: code/branches/FICN/src/orxonox/core/CoreIncludes.h
===================================================================
--- code/branches/FICN/src/orxonox/core/CoreIncludes.h	(revision 675)
+++ code/branches/FICN/src/orxonox/core/CoreIncludes.h	(revision 676)
@@ -25,4 +25,7 @@
  *
  */
+
+#ifndef _CoreIncludes_H__
+#define _CoreIncludes_H__
 
 /**
@@ -137,2 +140,4 @@
     } \
     varname = container##varname->getValue(varname)
+
+#endif /* _CoreIncludes_H__ */
Index: code/branches/FICN/src/orxonox/objects/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/orxonox/objects/CMakeLists.txt	(revision 675)
+++ code/branches/FICN/src/orxonox/objects/CMakeLists.txt	(revision 676)
@@ -9,4 +9,5 @@
   Fighter.cc
   Mesh.cc
+  Light.cc
   Model.cc
   NPC.cc
Index: code/branches/FICN/src/orxonox/objects/Light.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Light.cc	(revision 676)
+++ code/branches/FICN/src/orxonox/objects/Light.cc	(revision 676)
@@ -0,0 +1,30 @@
+#include <sstream>
+
+#include "Light.h"
+#include "../Orxonox.h"
+
+namespace orxonox
+{
+    unsigned int Light::lightCounter_s = 0;
+
+    Light::Light()
+    {
+        this->light_ = 0;
+    }
+
+    void Light::setLight(Ogre::Light::LightTypes type, const Ogre::ColourValue& diffuse, const Ogre::ColourValue& specular)
+    {
+        std::ostringstream name;
+        name << (Light::lightCounter_s++);
+        this->light_ = Orxonox::getSingleton()->getSceneManager()->createLight("Light" + name.str());
+        this->light_->setType(type);
+        this->light_->setDiffuseColour(diffuse);
+        this->light_->setSpecularColour(specular);
+    }
+
+    Light::~Light()
+    {
+        if (this->light_)
+            Orxonox::getSingleton()->getSceneManager()->destroyLight(this->light_);
+    }
+}
Index: code/branches/FICN/src/orxonox/objects/Light.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Light.h	(revision 676)
+++ code/branches/FICN/src/orxonox/objects/Light.h	(revision 676)
@@ -0,0 +1,30 @@
+#ifndef _Light_H__
+#define _Light_H__
+
+#include <string>
+
+#include "OgreLight.h"
+#include "OgreColourValue.h"
+
+namespace orxonox
+{
+    class Light
+    {
+        public:
+            Light();
+            ~Light();
+            void setLight(Ogre::Light::LightTypes type = Ogre::Light::LT_POINT, const Ogre::ColourValue& diffuse = Ogre::ColourValue(1.0, 1.0, 1.0), const Ogre::ColourValue& specular = Ogre::ColourValue(1.0, 1.0, 1.0));
+
+            inline Ogre::Light* getLight()
+                { return this->light_; }
+
+            inline const std::string& getName() const
+                { return this->light_->getName(); }
+
+        private:
+            static unsigned int lightCounter_s;
+            Ogre::Light* light_;
+    };
+}
+
+#endif /* _Light_H__ */